Skip to main content
`Ctrl`+`K`

# MatLMVMReset

Flushes all of the accumulated updates out of the `MATLMVM` approximation.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMReset(Mat B, PetscBool destructive)

## Input Parameters

- B - A `MATLMVM` matrix

- destructive - flag for enabling destruction of data structures

## Note

In practice, this will not actually destroy the data associated with the updates. It simply resets counters, which leads to existing data being overwritten, and `MatSolve()` being applied as if there are no updates. A boolean flag is available to force destruction of the update vectors.

If the user has provided another LMVM matrix as J0, the J0 matrix is also reset to the identity matrix in this function.

## See Also

KSP: Linear System Solvers, LMVM Matrices, `MATLMVM`, `MatLMVMAllocate()`, `MatLMVMUpdate()`

## Level

intermediate

## Location

src/ksp/ksp/utils/lmvm/lmvmutils.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages